AVCCodedContentKind (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum AVCCodedContentKind

- java.lang.Object
- - java.lang.Enum<AVCCodedContentKind>
  - - tv.amwa.maj.enumeration.AVCCodedContentKind

- All Implemented Interfaces:
    Serializable, Comparable<AVCCodedContentKind>, MediaEnumerationValue

      public enum AVCCodedContentKind
      extends Enum<AVCCodedContentKind>
      implements MediaEnumerationValue

  Picture type and coding type, as used in AVC sub descriptors.

  See Also:
    `AVCSubDescriptor.getAVCCodedContentKind()`, `AVCSubDescriptor.setAVCCodedContentKind(AVCCodedContentKind)`, `TypeDefinitions.AVCCodedContentKind`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `InterlacedFieldPicture` Source image is interlaced.
    `InterlacedFrameAndFieldPicture` Source image is interlaced.
    `InterlacedFramePicture` Source image is interlaced.
    `ProgressiveFramePicture` Source image is progressive.
    `Reserved` Reserved.
    `Unknown` Unknown AVC coded content kind.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static AVCCodedContentKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AVCCodedContentKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### Unknown

          public static final AVCCodedContentKind Unknown

      Unknown AVC coded content kind.

    - #### ProgressiveFramePicture

          public static final AVCCodedContentKind ProgressiveFramePicture

      Source image is progressive. Picture type is frame. Coding type is frame coding.

    - #### InterlacedFieldPicture

          public static final AVCCodedContentKind InterlacedFieldPicture

      Source image is interlaced. Picture type is field. Coding type is field coding.

    - #### InterlacedFramePicture

          public static final AVCCodedContentKind InterlacedFramePicture

      Source image is interlaced. Picture type is frame. Coding type frame coding, including macroblock adaptive frame-field coding.

    - #### InterlacedFrameAndFieldPicture

          public static final AVCCodedContentKind InterlacedFrameAndFieldPicture

      Source image is interlaced. Picture type is frame and field. Coding type is picture adaptive frame-field coding. Frame coding may use macroblock adaptive frame-field coding.

    - #### Reserved

          public static final AVCCodedContentKind Reserved

      Reserved.

  - ### Method Detail

    - #### values

          public static AVCCodedContentKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AVCCodedContentKind c : AVCCodedContentKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AVCCodedContentKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.